package com.altimetrik.pmis.core.common;

public class Constants {

    //Project Summary Excel constants
    public static final String PS_EXCEL_ACCOUNT_NAME_TITLE = "ACCOUNT NAME";
    public static final String PS_EXCEL_REPORT_DATE_TITLE = "REPORT DATE";
    public static final String[] PS_EXCEL_HEADER1_TITLES = {"SUMMARY ID", "PID", "PROJECT", "ENGINEERING", "PEOPLE", "", "", "", "REMARKS"};
    public static final String[] PS_EXCEL_HEADER2_TITLES = {"SID", "ID", "NAME", "STATUS", "PLANNED", "ACTUAL", "OPEN", "STATUS", ""};
    public static final int PS_EXCEL_ACCOUNT_NAME_ROW = 0;
    public static final int PS_EXCEL_ACCOUNT_ID_CELL = 0;
    public static final int PS_EXCEL_ACCOUNT_NAME_TITLE_CELL = 2;
    public static final int PS_EXCEL_ACCOUNT_NAME_VALUE_CELL = 3;
    public static final int PS_EXCEL_REPORT_DATE_ROW = 1;
    public static final int PS_EXCEL_REPORT_DATE_TITLE_CELL = 3;
    public static final int PS_EXCEL_REPORT_DATE_VALUE_CELL = 4;
    public static final int PS_EXCEL_HEADER1_ROW = 3;
    public static final int PS_EXCEL_HEADER2_ROW = 4;
    public static final int PS_EXCEL_SUMMARY_ID_VALUE_CELL = 0;
    public static final int PS_EXCEL_PROJECT_ID_VALUE_CELL = 1;
    public static final int PS_EXCEL_PROJECT_NAME_VALUE_CELL = 2;
    public static final int PS_EXCEL_ENGINEERING_STATUS_VALUE_CELL = 3;
    public static final int PS_EXCEL_PEOPLE_PLANNED_VALUE_CELL = 4;
    public static final int PS_EXCEL_PEOPLE_ACTUAL_VALUE_CELL = 5;
    public static final int PS_EXCEL_PEOPLE_OPEN_VALUE_CELL = 6;
    public static final int PS_EXCEL_PEOPLE_STATUS_VALUE_CELL = 7;
    public static final int PS_EXCEL_REMARKS_VALUE_CELL = 8;

    public static final String INT = "int";
    public static final String DOUBLE = "double";
    public static final String FLOAT = "float";
    public static final String LONG = "long";
    public static final String BOOLEAN = "boolean";

    public static final String WR_EXCEL_PROJECT_NAME_TITLE = "PROJECT NAME";

    public static final String WR_EXCEL_REPORT_DATE_TITLE = "REPORT DATE";

    public static final String WR_EXCEL_CURRENT_WEEK_TREND_TITLE = "STATUS";
    public static final int WR_EXCEL_PROJECT_NAME_ROW = 0;
    public static final int WR_EXCEL_PROJECT_ID_CELL = 0;
    public static final int WR_EXCEL_PROJECT_NAME_TITLE_CELL = 3;
    public static final int WR_EXCEL_PROJECT_NAME_VALUE_CELL = 4;
    public static final int WR_EXCEL_REPORT_DATE_ROW = 1;
    public static final int WR_EXCEL_REPORT_DATE_TITLE_CELL = 3;
    public static final int WR_EXCEL_REPORT_DATE_VALUE_CELL = 4;

    public static final int WR_EXCEL_CURRENT_WEEK_TREND_ROW = 2;
    public static final int WR_EXCEL_CURRENT_WEEK_TREND_ID_CELL = 0;
    public static final int WR_EXCEL_CURRENT_WEEK_TREND_TITLE_CELL = 3;
    public static final int WR_EXCEL_CURRENT_WEEK_TREND_VALUE_CELL = 4;
    public static final int WR_EXCEL_HEADER_ROW = 4;

    public static final String[] WR_EXCEL_HEADER_TITLES = {"WEEKLY_MID", "PM_ID", "AM_ID", "TYPE", "CATEGORY", "INDICATOR", "TARGET", "ACTUAL", "REMARK"};

    public static final int WR_EXCEL_WEEKLY_MID_VALUE_CELL = 0;
    public static final int WR_EXCEL_AM_ID_VALUE_CELL = 1;
    public static final int WR_EXCEL_PM_ID_VALUE_CELL = 2;
    public static final int WR_EXCEL_TYPE_VALUE_CELL = 3;
    public static final int WR_EXCEL_CATEGORY_VALUE_CELL = 4;
    public static final int WR_EXCEL_INDICATOR_VALUE_CELL = 5;
    public static final int WR_EXCEL_TARGET_VALUE_CELL = 6;
    public static final int WR_EXCEL_ACTUAL_VALUE_CELL = 7;
    public static final int WR_EXCEL_REMARK_VALUE_CELL = 8;

}
