package com.altimetrik.pmis.model;

import com.altimetrik.pmis.core.enums.ProjectType;
import jakarta.validation.Valid;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class Indicator {
    private Long id;

    @NotEmpty(message = "Indicator name cannot be null or empty")
    private String name;

    @Valid
    @NotNull(message = "Category cannot be null")
    private Category category;

    private ProjectType projectType;
}