package com.altimetrik.pmis.model;

import com.altimetrik.pmis.core.enums.CategoryType;
import lombok.*;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class WeeklyMetric {

    private Long id;

    private Long projectMetricId;

    private Long accountMetricId;

    private CategoryType categoryType;

    private String categoryName;

    private String indicatorName;

    private Long target;

    private Long actual;

    private String remark;

    private boolean shouldApplyRemarkToSummary;
}
