package com.altimetrik.pmis.repository;

import com.altimetrik.pmis.core.entity.CategoryEntity;
import com.altimetrik.pmis.core.enums.CategoryType;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface CategoryRepository extends JpaRepository<CategoryEntity, Long> {

    Optional<CategoryEntity> findByCategoryNameAndType(String categoryName, CategoryType type);

}
