package com.altimetrik.pmis.repository;

import com.altimetrik.pmis.core.entity.IndicatorEntity;
import com.altimetrik.pmis.core.enums.CategoryType;
import com.altimetrik.pmis.core.enums.ProjectType;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface IndicatorsRepository extends JpaRepository<IndicatorEntity, Long> {

    Optional<IndicatorEntity> findByNameAndProjectTypeAndCategoryCategoryNameAndCategoryType(String name, ProjectType projectType, String categoryName, CategoryType categoryType);

    Optional<List<IndicatorEntity>> findByIdIn(List<Long> indicatorIds);
}
