package com.altimetrik.pmis.repository;

import com.altimetrik.pmis.core.entity.TrendEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.time.LocalDate;
import java.util.List;

public interface TrendRepository extends JpaRepository<TrendEntity, Long> {

    List<TrendEntity> findTop4ByProjectIdAndReportDateOrderByReportDateDesc(Long projectId, LocalDate reportDate);
}
