package com.altimetrik.pmis.service;

import com.altimetrik.pmis.model.CreateProjectSummaryRequest;
import com.altimetrik.pmis.model.ProjectSummary;
import com.altimetrik.pmis.model.WeeklyMetricReport;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.time.LocalDate;
import java.util.List;

public interface ExcelService {

    byte[] downloadProjectSummaryExcel(CreateProjectSummaryRequest createProjectSummaryRequest) throws IOException;

    List<ProjectSummary> uploadProjectSummaryExcel(MultipartFile file) throws IOException;

    byte[] downloadWeeklyReportExcel(Long accountId, Long projectId, LocalDate reportDate) throws IOException;

    WeeklyMetricReport uploadWeeklyReportExcel(MultipartFile file) throws IOException;
}
