package com.altimetrik.pmis.service;

import com.altimetrik.pmis.model.Metric;
import com.altimetrik.pmis.model.WeeklyMetricReport;

import java.time.LocalDate;

public interface MetricsService {
    Metric saveAccountMetric(Metric metric);


    Metric saveProjectMetric(Metric metric);

    Metric getAccountMetricsByAccountId(Long accountId);

    Metric getProjectMetricsByProjectId(Long projectId);

    WeeklyMetricReport getOrCreateWeeklyMetricReportForProject(Long accountId, Long projectId, LocalDate reportDate);

    WeeklyMetricReport updateWeeklyReportForProject(WeeklyMetricReport weeklyMetricReport);
}
