package com.altimetrik.pmis.service;

import com.altimetrik.pmis.model.CreateProjectSummaryRequest;
import com.altimetrik.pmis.model.Project;
import com.altimetrik.pmis.model.ProjectSummary;
import com.altimetrik.pmis.model.ProjectSummaryResponse;

import java.time.LocalDate;
import java.util.List;

public interface ProjectService {
    Project save(Long accountId, Project Project);

    Project get(Long id);

    List<Project> getByAccount(Long accountId);

    ProjectSummaryResponse createProjectSummary(CreateProjectSummaryRequest createProjectSummaryRequest);

    ProjectSummaryResponse getProjectSummaryByAccountAndReportDate(Long accountId, String accountName, LocalDate reportDate);

    ProjectSummary updateProjectSummary(ProjectSummary projectSummary);

    List<ProjectSummary> updateMultipleProjectSummary(List<ProjectSummary> projectSummaries);
}
