package com.altimetrik.pmis.model;

import com.altimetrik.pmis.core.enums.CategoryType;
import jakarta.validation.constraints.NotEmpty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;


@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class Category {
    private Long id;

    @NotEmpty(message = "Category name cannot be null or empty")
    private String categoryName;

    private CategoryType type;
}