package com.altimetrik.pmis.model;

import jakarta.validation.constraints.NotNull;
import lombok.*;

import java.time.LocalDate;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CreateProjectSummaryRequest {

    @NotNull(message = "account id cannot be null or empty")
    private Long accountId;

    private String accountName;

    @NotNull(message = "week date cannot be null or empty")
    private LocalDate reportDate;
}
