package com.altimetrik.pmis.model;

import com.altimetrik.pmis.core.enums.Status;
import lombok.*;

import java.time.LocalDate;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProjectSummary {
    private Long id;

    private Long projectId;

    private String projectName;

    private Status engineeringStatus;

    private int planned;

    private int actual;

    private Status peopleStatus;

    private LocalDate reportDate;
    
    private String remarks;
}

