package com.altimetrik.pmis.model;

import lombok.*;

import java.time.LocalDate;
import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ProjectSummaryResponse {

    private Long accountId;

    private String accountName;

    private LocalDate reportDate;

    private List<ProjectSummary> projectSummaries;
}
