package com.altimetrik.pmis.model;

import com.altimetrik.pmis.core.enums.Status;
import lombok.*;

import java.time.LocalDate;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class WeeklyMetricReport {


    private LocalDate reportDate;

    private List<Status> weeklyTrends;

    private Status currentWeekOverallStatus;

    private Long trendId;

    private Long projectId;

    private String projectName;

    private List<WeeklyMetric> weeklyMetrics;

}
