//package com.altimetrik.pmis.service.impl;
//
//import com.altimetrik.pmis.core.entity.ProjectMetricsEntity;
//import com.altimetrik.pmis.mapper.ProjectMapper;
//import com.altimetrik.pmis.mapper.ProjectMetricsMapper;
//import com.altimetrik.pmis.model.ProjectMetrics;
//import com.altimetrik.pmis.repository.ProjectMetricsRepository;
//import com.altimetrik.pmis.service.ProjectMetricsService;
//import com.altimetrik.pmis.service.ProjectService;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//
//import java.util.List;
//import java.util.Optional;
//
//@Service
//public class ProjectMetricsServiceImpl implements ProjectMetricsService {
//    private final ProjectMetricsRepository projectMetricsRepository;
//    private final ProjectService projectService;
//    private final ProjectMetricsMapper projectMetricsMapper;
//
//    @Autowired
//    public ProjectMetricsServiceImpl(ProjectMetricsRepository projectMetricsRepository, ProjectService projectService) {
//        this.projectMetricsRepository = projectMetricsRepository;
//        this.projectService = projectService;
//        this.projectMetricsMapper = ProjectMetricsMapper.INSTANCE;
//    }
//
//    @Override
//    public ProjectMetrics save(Long projectId, ProjectMetrics projectMetrics) {
//        projectMetrics.setProject(projectService.get(projectId));
//        return projectMetricsMapper.entityToDomain(projectMetricsRepository.saveAndFlush(projectMetricsMapper.domainToEntity(projectMetrics)));
//    }
//
//    @Override
//    public ProjectMetrics get(Long id) {
//        Optional<ProjectMetricsEntity> projectMetricsEntity = projectMetricsRepository.findById(id);
//        if (projectMetricsEntity.isEmpty()) {
//            // TODO: throw error
//        }
//        return projectMetricsMapper.entityToDomain(projectMetricsEntity.get());
//    }
//
//    @Override
//    public List<ProjectMetrics> getByAccount(Long accountId) {
//        return projectMetricsRepository.findByProjectAccountId(accountId).stream().map(projectMetricsEntity -> projectMetricsMapper.entityToDomain(projectMetricsEntity)).toList();
//    }
//
//    @Override
//    public List<ProjectMetrics> getByProject(Long projectId) {
//        return projectMetricsRepository.findByProjectId(projectId).stream().map(projectMetricsEntity -> projectMetricsMapper.entityToDomain(projectMetricsEntity)).toList();
//    }
//}
